<div class="dashboard-page flex flex-col flex-auto min-w-0">

    <div class="flex justify-between">
        <div class="text-2xl font-cairo font-bold tracking-tight leading-8 mb-8">Currency Rate</div>
        <button class="sm:inline-flex ml-auto" mat-stroked-button [color]="'primary'" (click)="openDialog()">
            <span class="mx-8">Add Currency</span>
        </button>
    </div>
    <div class="relative">
        <!--table component-->
        <div class="flex">
            <mat-form-field class="sm:w-52">
                <mat-label>Company Base Currency</mat-label>
                <mat-select name="baseCurrency" [(value)]="currencyRateSearchModel.baseCurrency">
                    <mat-option [(value)]="defaultGuid">
                        --Select Currency--
                    </mat-option>
                    <mat-option *ngFor="let cr of currencyRateSearchModel.currencyRates" [(value)]="cr.currencyId">
                        {{cr.currencyName}}
                    </mat-option>
                </mat-select>
                <!-- <mat-error>
                    <span *ngIf="!teamList.get('teamName').valid && teamList.get('teamName').touched">Please enter Team Name</span>
                </mat-error> -->
            </mat-form-field>
        </div>

        <!--base table component-->
        <div class="overflow-auto bg-gray-50 rounded-lg">
            <table mat-table [dataSource]="currencyRateSearchModel.currencyRates" matSort class="expanded-rows-table font-helvetica text-gray-500">

                <!-- ID Column -->
                <ng-container matColumnDef="id">
                    <th mat-header-cell *matHeaderCellDef style="width: 50px; max-width: 60px; min-width: 50px"></th>
                    <td mat-cell *matCellDef="let row">
                        <button mat-icon-button [matMenuTriggerFor]="options" aria-label="Choose columns">
                            <mat-icon color="primary" class="icon-size-5" svgIcon="heroicons_outline:dots-vertical"></mat-icon>
                        </button>
                        <mat-menu #options="matMenu" class="min-width-235 z-1">
                            <button mat-menu-item>
                                <mat-icon color="primary" class="icon-size-5" svgIcon="heroicons_outline:ban"></mat-icon>
                                Inactivate
                            </button>
                        </mat-menu>
                    </td>
                </ng-container>

                <!-- Code Column -->
                <ng-container matColumnDef="currency">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 190px; min-width: 170px">
                        Currency Code
                    </th>
                    <td mat-cell *matCellDef="let row">
                        {{row.currencyName}}
                    </td>
                </ng-container>

                <!-- Rate Item -->
                <ng-container matColumnDef="rate">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 120px; min-width: 110px">
                        Rate
                    </th>
                    <td mat-cell *matCellDef="let row"> {{row.rate}} </td>
                </ng-container>

                <!-- validDate Column -->
                <ng-container matColumnDef="validDate">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header style="min-width: 140px">
                        Valid From
                    </th>
                    <td mat-cell *matCellDef="let row"> {{row.validFrom | date: 'dd-MMM-yyyy'}} </td>
                </ng-container>

                <!-- Conversion Factor Column -->
                <ng-container matColumnDef="conversion">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 160px; min-width: 150px">
                        Conversion Factor
                    </th>
                    <td mat-cell *matCellDef="let row">
                        {{row.conversionFactor}}
                    </td>
                </ng-container>

                <!-- Data Type Column -->
                <ng-container matColumnDef="rfq">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 160px; min-width: 150px; background: #CCD7EA;

">
                        RFQ
                    </th>
                    <td mat-cell *matCellDef="let row">
                        <mat-checkbox [checked]="row.isRFQ" name="RFQ{{row.currencyName}}" [(ngModel)]="row.isRFQ" class="mb-4 mr-5" [color]="'primary'"></mat-checkbox>
                    </td>
                </ng-container>

                <!-- Data Type Column -->
                <ng-container matColumnDef="rfi">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 160px; min-width: 150px; background: #CCD7EA;

">
                        RFI
                    </th>
                    <td mat-cell *matCellDef="let row">
                        <mat-checkbox class="mb-4 mr-5" [color]="'primary'" name="RFI{{row.currencyName}}" [(ngModel)]="row.isRFI" [checked]="row.isRFI" ></mat-checkbox>
                    </td>
                </ng-container>

                <!-- Data Type Column -->
                <ng-container matColumnDef="rfaq">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 160px; min-width: 150px; background: #CCD7EA;

">
                        RFAQ
                    </th>
                    <td mat-cell *matCellDef="let row">
                        <mat-checkbox [checked]="row.isRFAQ" name="RFAQ{{row.currencyName}}" [(ngModel)]="row.isRFAQ" class="mb-4 mr-5" [color]="'primary'"></mat-checkbox>
                    </td>
                </ng-container>


                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

                <!-- Row shown when there is no matching data. -->
                <tr class="mat-row" *matNoDataRow>
                    <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
                </tr>
            </table>
        </div>
        <!-- <div class="flex justify-end">
            <mat-paginator class="flex text-lg" [pageSizeOptions]="[10, 25, 100]"></mat-paginator>
        </div> -->
        <!--table component end-->
    </div>
    <div class="flex justify-end ml-auto p-6">
        <button class="sm:inline-flex mr-4" mat-button [color]="'primary'">
            <span class="mx-8">Cancel</span>
        </button>
        <button class="sm:inline-flex" mat-raised-button [color]="'primary'" type="button" (click)="SaveDefaults()">
            <span class="mx-8">Save Changes</span>
        </button>
    </div>

</div>
